Channels

Create a custom HTTP publisher connection

POST
/api/projects/{projectId}/channels/{channelId}/publisher/custom-http/connect

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length

Request Body

  1. body
endpointUrl*string
Length1 <= length <= 2048
authentication*|||
externalAccountName?|null
secret*string
Length32 <= length <= 4096

Response Body

Response for status 200

application/json
  1. response
connection*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/publisher/custom-http/connect' \
  -H 'Content-Type: application/json' \
  -d '{
  "endpointUrl": "string",
  "authentication": {
    "kind": "none"
  },
  "secret": "stringstringstringstringstringst"
}'
Example Response
{
  "connection": {
    "id": "string",
    "projectId": "string",
    "publisherId": "string",
    "channelId": "string",
    "kind": "string",
    "credentialId": "string",
    "endpointUrl": "string",
    "destination": {
      "type": "account",
      "id": "string",
      "name": "string"
    },
    "authentication": {
      "kind": "none"
    },
    "providerId": "string",
    "externalAccountId": "string",
    "externalAccountName": "string",
    "scopes": [
      "string"
    ],
    "state": "active",
    "connectedByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?